<!DOCTYPE html>
<html lang="th">

<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>แบบฟอร์ม</title>
  <style>
    body {
      font-family: "TH SarabunPSK", sans-serif;
      font-size: 18px;
    }

    .container {
      width: 80%;
      margin: 0 auto;
      border: 1px solid #000;
      padding: 20px;
    }

    .header,
    .footer {
      text-align: center;
      font-weight: bold;
    }

    .content {
      margin-top: 20px;
    }

    .content-table,
    .content-table td {
      border: none;
    }

    .info-table {
      width: 100%;
      margin-top: 10px;
    }

    .info-table td {
      padding: 5px;
    }

    .barcode {
      text-align: center;
      margin-top: 10px;
    }

    .divider {
      border-top: 1px dashed #000;
      margin: 20px 0;
    }
  </style>
</head>

<body>
  <div class="container">
    <p-blockUI [blocked]="blockedDocument"><p-progressSpinner></p-progressSpinner>
    </p-blockUI>
    <button pButton pRipple label="พิมพ์เอกสาร" icon="pi pi-print" printTitle="ใบส่งต่อ" printSectionId="print-section"
      (click)="print()"></button>
    <div class="header">
      <p>บัตรนัด {{referOut.refer_hospname}}</p>
      <p>(SmartRefer)</p>
      <p>พิมพ์วันที่: {{referOut.refer_date | thaidate:'medium'}}</p>
    </div>

    <div class="content">
      <table class="info-table">
        <tr>
          <td>
            จาก {{referOut.hname}}
          </td>
        </tr>
        <tr>
          <td>ชื่อ: {{referOut.pname}}{{referOut.fname}} {{referOut.lname}}</td>
          <td>อายุ: {{referOut.age}} (ปี-เดือน-วัน)</td>
        </tr>
        <tr>
          <td colspan="3">
            นัดมาวันที่: 07 สิงหาคม 2567 เวลา: 09:00-10:00 สิทธิ์ ผู้พิการ
          </td>
        </tr>
        <tr>
          <td colspan="3">
            แพทย์ผู้นัดตรวจ: นพ.ศัลย์แพทย์
          </td>
        </tr>
        <tr>
          <td colspan="3">
            แผนก: ศัลยกรรมทั่วไป ผู้นัด: นางสาวฤทัย จันทฤกษ์
          </td>
        </tr>
        <tr>
          <td colspan="3">
            หมายเหตุ: ตึก 50 พรรษาฯ ชั้น 2
          </td>
        </tr>
      </table>

      <p>ข้อความพิเศษ: นัดผ่านระบบ Smart Refer</p>
      <p>ข้อความวินิจฉัย:</p>

      <table class="info-table">
        <tr>
          <td>เบอร์โทร: 045-319200 ต่อ 1624</td>
          <td>รอที่โต๊ะ: ..............</td>
        </tr>
        <tr>
          <td colspan="2">มาตรวจวันนั้นดี, ยื่นบัตรนัดที่ห้องตรวจ: ศัลยกรรมทั่วไป(0200)</td>
        </tr>
        <tr>
          <td colspan="2">ใบ Refer: *** แนะนำใบส่งตัว ***</td>
        </tr>
      </table>
    </div>

    <div class="barcode">
      <p>*** โปรดแจ้งประวัติแพ้ยาและนำยาที่รับประทานประจำมาด้วยทุกครั้ง ***</p>
      <!-- Adding the Barcode using HN -->
      <img
        :src="'https://barcode.tec-it.com/barcode.ashx?data=' + referOut.cid + '&code=Code128&multiplebarcodes=false&translate-esc=false&unit=Fit&dpi=96&imagetype=Png&rotation=0&color=%23000000&bgcolor=%23ffffff&quiet=10&codepage=1252&eclevel=L&qunit=Mm&quietunit=Mm'"
        alt="CID Barcode">
      <p>{{referOut.cid}}</p>
    </div>
    <div class="footer">
      <p>*** โรงพยาบาลสรรพสิทธิประสงค์ บัตรนัด ***</p>
    </div>
  </div>
</body>

</html>